@charset "utf-8";

:root {
  --primary: #015ef7;
  --primary-900: #0e429a;
  --u-primary: #09f;
  --text-high-emphasis: #000;
  --text-medium-emphasis: rgba(0, 0, 0, 0.87);
  --text-low-emphasis: rgba(0, 0, 0, 0.6);
  --main-p-y: 56px;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  font-family:
    'Inter',
    -apple-system,
    system-ui,
    ui-sans-serif,
    'Segoe UI',
    Roboto,
    Helvetica,
    Arial,
    sans-serif;
}

[lang='zh-Hant'] {
  font-family:
    'Segoe UI',
    -apple-system,
    system-ui,
    ui-sans-serif,
    'PingFang TC',
    'Noto Sans TC',
    'Microsoft JhengHei',
    微軟正黑體,
    Roboto,
    Helvetica,
    Arial,
    sans-serif;
}

[lang='ja'] {
  font-family:
    'Noto Sans JP',
    -apple-system,
    system-ui,
    ui-sans-serif,
    'Hiragino Kaku Gothic ProN',
    'Meiryo',
    'Segoe UI',
    Roboto,
    Helvetica,
    Arial,
    sans-serif;
}

[lang='ko'] {
  font-family:
    'Malgun Gothic',
    -apple-system,
    system-ui,
    ui-sans-serif,
    'Noto Sans KR',
    'Apple SD Gothic Neo',
    'Segoe UI',
    Roboto,
    Helvetica,
    Arial,
    sans-serif;
}

html,
body {
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  color: var(--text-medium-emphasis);
}

body {
  word-wrap: break-word;
  font-size: 14px;
  line-height: 24px;
}

img,
video {
  display: block;
  max-width: 100%;
  height: auto;
}

/* Utilities */

.text-low-emphasis {
  color: var(--text-low-emphasis) !important;
}

.text-primary-900 {
  color: var(--primary-900) !important;
}

.text-u-primary {
  color: var(--u-primary) !important;
}

.mt-8 {
  margin-top: 32px !important;
}

.mb-2 {
  margin-bottom: 8px !important;
}

.list-lower-alpha {
  list-style: lower-alpha !important;
}

/* Typography */

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--text-high-emphasis);
}

h1,
.pri-title {
  font-size: 25px;
  font-weight: 700;
  line-height: 32px;
  letter-spacing: 0.5px;
}

h2 {
  font-size: 22px;
  font-weight: 700;
  line-height: 28px;
  letter-spacing: 0.44px;
  padding-top: 12px;
}

h3 {
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  letter-spacing: 0.32px;
  padding-top: 12px;
}

h4 {
  font-size: 14px;
  font-weight: 800;
  line-height: 20px;
  letter-spacing: 0.35px;
  padding-top: 8px;
}

@media screen and (min-width: 768px) {
  h1,
  .pri-title {
    font-size: 32px;
    font-weight: 700;
    line-height: 40px;
    letter-spacing: 0.512px;
  }

  h2 {
    font-size: 25px;
    font-weight: 700;
    line-height: 32px;
    letter-spacing: 0.5px;
    padding-top: 32px;
  }

  h3 {
    font-size: 22px;
    font-weight: 700;
    line-height: 28px;
    letter-spacing: 0.44px;
  }

  h4 {
    font-size: 16px;
    font-weight: 700;
    line-height: 24px;
    letter-spacing: 0.32px;
  }
}

/* Layout */

p,
ul,
ol {
  margin-block: 8px;
}

ul,
ol {
  padding-left: 20px !important;
}

ul li,
ol li {
  line-height: 20px;
  color: var(--text-medium-emphasis);
  padding-bottom: 4px;
}

a {
  color: var(--primary);
  text-decoration: none;
  -webkit-tap-highlight-color: transparent;
  transition: 0.2s ease-in-out;
}

a:hover,
a:focus,
a:active {
  outline: none;
  background-color: transparent;
}

.pri-container {
  padding-inline: 24px;
  margin-inline: auto;
  max-width: 1536px;
}

@media screen and (min-width: 576px) {
  .pri-container {
    padding-inline: 40px;
  }
}

@media screen and (min-width: 1024px) {
  .pri-container {
    padding-inline: 48px;
  }
}

.pri-holder {
  height: 100%;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  display: flex;
  flex-direction: column;
  width: 100%;
}

.pri-main {
  margin-top: 24px;
  margin-bottom: var(--main-p-y);
}

.pri-main a {
  word-wrap: break-word;
}

.pri-main a:hover {
  opacity: 0.7;
}

.pri-sidebar {
  width: 100%;
  flex-basis: auto;
  margin-top: var(--main-p-y);
}

.pri-sidebar__logo {
  margin-bottom: 8px;
}

.pri-sidebar__logo > a {
  display: inline-block;
}

.pri-sidebar__logo img {
  height: 36px;
}

.pri-sidebar__ulogo,
.pri-sidebar__logo.pri-sidebar__ulogo img {
  height: 56px;
}

.pri-sidebar__item a {
  display: block;
  padding-block: 8px;
  color: var(--text-high-emphasis);
  text-decoration: none;
  font-weight: 400;
}

.pri-sidebar__item a:hover {
  color: var(--primary);
}

@media screen and (min-width: 768px) {
  .pri-holder {
    flex-direction: row;
    gap: 40px;
  }

  .pri-main {
    margin-top: var(--main-p-y);
  }

  .pri-sidebar {
    width: auto;
    flex-shrink: 0;
    flex-grow: 0;
    margin-top: 0;
  }

  .pri-sidebar__fixed {
    position: fixed;
    top: 0;
    bottom: 0;
    height: auto;
    overflow-y: auto;
    padding-block: var(--main-p-y);
    padding-right: 8px;
  }

  .pri-sidebar__logo {
    margin-bottom: 24px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1023.98px) {
  .pri-sidebar {
    flex-basis: 240px;
  }

  .pri-sidebar__fixed {
    width: 240px;
  }
}

@media screen and (min-width: 1024px) {
  .pri-sidebar {
    flex-basis: 320px;
  }

  .pri-sidebar__fixed {
    width: 320px;
  }
}

@media screen and (max-width: 767.98px) {
  .pri-sidebar__item,
  .pri-sidebar .text-low-emphasis {
    display: none;
  }
}

/* Note Box */

.pri-note-box {
  display: block;
  font-size: 12px;
  line-height: 16px;
  background: rgba(0, 0, 0, 0.04);
  padding: 12px 16px;
}

/* Divider */

.pri-divider {
  width: 100%;
  height: 1px;
  background-color: rgba(0, 0, 0, 0.12);
  margin-block: 72px 24px;
}

/* Table */

.basic-table {
  table-layout: fixed;
  width: 100%;
  margin-block: 24px;
  border-collapse: collapse;
  background-color: #fff;
  border: 2px solid #6d6d6d;
}

.basic-table th {
  text-align: center;
  font-weight: 700;
}

.basic-table th,
.basic-table td {
  background: #fff;
  font-size: 12px;
  line-height: 20px;
  padding: 4px 8px;
  border: 1px solid #6d6d6d;
  vertical-align: top;
}

@media (min-width: 768px) {
  .basic-table th,
  .basic-table td {
    padding: 12px 16px;
  }
}

/* Back to top Button */

.back-top-btn {
  z-index: 999;
  position: fixed;
  bottom: 16px;
  right: 16px;
  width: 56px;
  height: 56px;
  border-radius: 50%;
  border: 1px solid rgba(0, 0, 0, 0.12);
  box-shadow:
    0 0 16px -4px rgba(0, 0, 0, 0.14),
    0 4px 8px -2px rgba(0, 0, 0, 0.06);
  transition: 0.2s;
}

.back-top-btn,
.back-top-btn:hover,
.back-top-btn:active,
.back-top-btn:focus {
  background-image: url('../img/icon-chevron_up.svg');
  background-size: 28px 28px;
  background-repeat: no-repeat;
  background-position: center;
  background-color: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(8px);
  opacity: 1;
}

.back-top-btn:hover,
.back-top-btn:active,
.back-top-btn:focus {
  border: 1px solid rgba(0, 0, 0, 0.2);
  box-shadow:
    0 0 28px -6px rgba(0, 0, 0, 0.14),
    0 6px 12px -4px rgba(0, 0, 0, 0.08);
}

/* myedit-consent.html */

.myedit-consent {
  width: 420px;
  height: 560px;
  margin: 0 auto;
  background: #ffffff;
  border-radius: 1rem;
  margin: auto;
  display: flex;
}

.main-content {
  margin: 2rem;
}

.content-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--primary);
  width: 8rem;
  height: 2rem;
  border-radius: 1rem;
  margin: auto;
  cursor: pointer;
  margin-top: 2.5rem;
}

.content-btn p {
  margin: 0;
  color: #ffffff;
  font-weight: bold;
}

.checkbox-container {
  display: flex;
  align-items: flex-start;
  color: var(--text-medium-emphasis);
  font-size: 14px;
  line-height: 24px;
}

.checkbox-container input[type='checkbox'] {
  margin-right: 0.5rem;
  transform: scale(1.5);
  vertical-align: middle;
}

.main-tittle h1 {
  text-align: center;
  padding-top: 0;
}

.main-tittle {
  margin: 0.5rem;
}

.main-text {
  margin: 0.5rem;
}

.main-check {
  margin: 0.5rem;
}

@media (max-width: 767.98px) {
  .myedit-consent {
    width: 100%;
    height: auto;
    border-radius: 0;
  }

  .main-content {
    padding: 0.1rem;
  }

  .main-tittle {
    margin: 0;
  }

  .content-btn {
    margin: auto;
    cursor: pointer;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
  }

  .main-tittle h1 {
    padding-top: 0;
  }
}
